Skip to main content
`Ctrl`+`K`

# AOApplicationToPetscPermuteReal

Permutes an array of blocks of reals in the application-defined ordering to the PETSc ordering.

## Synopsis

    #include "petscao.h"
    PetscErrorCode AOApplicationToPetscPermuteReal(AO ao, PetscInt block, PetscReal array[])

Collective

## Input Parameters

- ao - The application ordering context

- block - The block size

- array - The integer array

## Output Parameter

- array - The permuted array

## Notes

The length of the array should be \(block*N\), where `N` is length provided to the AOCreate*() method that created the `AO`.

The permutation takes `array[i_app] --> array[i_pet]`, where `i_app` is the index of `i` in the application ordering and `i_pet` is the index of `i` in the PETSc ordering.

## See Also

Application Orderings, `AO`, `AOCreateBasic()`, `AOView()`, `AOApplicationToPetsc()`, `AOPetscToApplicationIS()`

## Level

beginner

## Location

src/vec/is/ao/interface/ao.c

## Implementations

AOApplicationToPetscPermuteReal_Basic() in src/vec/is/ao/impls/basic/aobasic.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages